#!/usr/bin/env -S sbcl --script
(require "uiop")
(load "/home/chris/.sbclrc")
(ql:quickload :serapeum)

(defvar *url* (car (uiop:command-line-arguments)))

(defun main ()
  (when (serapeum:string-contains-p "piped.cochrun.xyz" *url*)
    (run-program "yt-dlp"
                 `("-o"
                   "~/vids/%(title)s.%(ext)s"
                   ,(serapeum:string-replace-all
                     "piped.cochrun.xyz" *url* "youtube.com"))
                  :search "/run/current-system/sw/bin/"
                  :output t)))

 (main)
